"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.returns_caller_id = exports.throws_string = exports.throws_error = exports.calls_debugger = void 0;
/* eslint-disable no-debugger,camelcase */
const tagged_mocks_1 = require("@specialblend/tagged-mocks");
const $mocks = tagged_mocks_1.taggedMocks('s');
function main() {
    return 0;
}
exports.default = main;
function calls_debugger(name = $mocks.safeTag('calls_debugger->name')) {
    const data = $mocks.uniqueSafeTag(name);
    console.log(data);
    debugger;
    return data;
}
exports.calls_debugger = calls_debugger;
function throws_error(err = new Error($mocks.safeTag('throws_error->Error'))) {
    throw err;
}
exports.throws_error = throws_error;
function throws_string(str = $mocks.safeTag('throws_string->string')) {
    throw str;
}
exports.throws_string = throws_string;
// eslint-disable-next-line @typescript-eslint/ban-types
function returns_caller_id() {
    return returns_caller_id.caller;
}
exports.returns_caller_id = returns_caller_id;
//# sourceMappingURL=main.js.map